Subject: RE: B19: [.exe is missing and B19.1 dll update is corrupt
From: [email-masked] (Bob McGowan)

6 Apr 1998 05:36:32 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Mike,

Please take a look at what you did below.  The message from ash when you
did "type [" was "type: not found", which refers to the "type" command
itself, not to the left bracket command.  So I ask you to look again at
the session I supplied in my mail:

bash-2.01$ ash
$ type [
type: not found
$ [ true ] && echo ok				<<<<<=========
ok
$ ls /bin/[
ls: /bin/[: No such file or directory
$ ls /usr/bin/[
ls: /usr/bin/[: No such file or directory
$ ps
TTY   PID  PPID  PGID  WIN32-PID  UID    STIME COMMAND
-1   1000  1000  1000        202 1000 10:31:55 c:\bin\bash.exe
-1   1004  1000  1004        199 1000 11:32:21 C:\bin\ash.exe
-1   1009  1004  1004        166 1000 11:33:38 C:\bin\ps.exe
$ exit
bash-2.01$

The line marked by the "<<<<<=========" is being run by "ash", and
produces the output "ok", NOT a complaint about not being able to find
the "[" command.  The "ls" commands on my bin directories were done
because I found that the "type" command was not supported by ash.  This
shows that there is in fact no [.exe present in my "UNIX" directories.
Therefore, "[" IS a built in for "ash" while "type" IS NOT built in.

As additional proof regarding the status of "type" in ash, consider the
following:

bash-2.01$ ash
$ ls
STLdoc    bin       doc       projects  src
$ type ls
type: not found
$

----
Bob McGowan
i'm bobmcgow at xstor dot com
Storage Dimensions, Inc. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, March 27, 1998 1:02 PM
To: [email-masked]
Subject: Re: B19: [.exe is missing and B19.1 dll update is corrupt

Bob McGowan [[email-masked]] wrote:

>I am not sure what is happening on with your system, resulting in the
>conclusion that "[.exe is missing".  I just did the following and it
>looks to me like the left bracket is built in to ash also.  I put all

No, it isn't:

MIKE-[/home/mh]_$type [
[ is a shell builtin
MIKE-[/home/mh]_$ash
MIKE-[$PWD]_$type [
type: not found
MIKE-[$PWD]_$

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message
to
"[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".